Bug 1300315 - fusor-undercloud-install does not understand IP address of the Openstack Director
fusor-undercloud-install does not understand IP address of the Openstack Dire...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Dylan Murray
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 08:05 EST by Antonin Pagac
Modified: 2016-04-29 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2016-01-20 08:05:48 EST
Description of problem:
When prompted by the fusor-undercloud-installer, there is default Director IP pre-filled, but upon hitting enter an error message appears and user must write the IP manually:

Please specify the IP address of the Openstack Director. Be sure that this IP is on the correct subnet and does not interfere with the block given above. [192.0.2.254] <ENTER>
I didn't understand that IP Address, please try again.

Version-Release number of selected component (if applicable):
RHCIOOO-7-RHEL-7-20160119.t.0-RHCIOOO-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Launch fusor-undercloud installer
2. Go to Director IP query
3. Hit enter

Actual results:
"I didn't understand that IP Address, please try again."

Expected results:
Default address accepted

Additional info:
Comment 1 Dylan Murray 2016-01-20 10:13:45 EST
Initial plan was to make this an explicit request from the user, but since we assume that the user is using the other defaults the default of .254 shouldn't be a conflict. I will add in the change to accept the default.
Comment 2 Dylan Murray 2016-01-20 10:37:11 EST
PR: https://github.com/fusor/fusor-undercloud-installer/pull/12

Default is now 192.0.2.254 for undercloud IP.
Comment 3 John Matthews 2016-01-22 15:20:21 EST
Compose of 1/22/16
Comment 4 Landon LaSmith 2016-01-26 16:46:16 EST
Verified.
RHCIOOO-7-RHEL-7-20160122.t.0-RHCIOOO-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.